Subject: [bug#67512] [PATCH 0/5] Add LibreWolf

From: Ian Eure <[email-masked]>
Date: Tue, 28 Nov 2023 12:09:56 -0800

I mentioned in #guix that I was working on a package for LibreWolf, and it was requested that I send in patches, so I am.  These changes are based on the firefox-esr package in nonguix; I've retained the copyright / authorship notices from there.

LibreWolf (https://librewolf.net/) is a fork of Firefox which removes the telemetry and advertising, and bundles uBlock Origin.  It doesn't have the redistribution issues that Firefox does, its name/logo are under MPL 2.0 and aren't trademarked.

I'm new to Guix, and not remotely a browser development expert, so I don't expect these are ready to be accepted yet, but I believe they're in good enough shape to have a discussion about.  They're working acceptably well for me, though I'm not currently daily driving Guix, so there may be issues I haven't encountered yet.

Guide to changes in this patchset
=================================

icu4c has been updated to 73.1, and the previous version kept as icu4c-71.  I encountered consistent failures of the [email-masked] test suite with icu4c 73.1, so I kept that on 71.1.  icu4c is needed by many packages, so this change is the highest-impact in the patchset.

The (gnu packages wasm) module is unchanged from nonguix, except for the file header and module declaration.

The (gnu packages librewolf) module is a simplified/adapted version of (nongnu packages firefox).  The Firefox Nightly packages have been removed, as there's no LibreWolf equivalent.  I also didn't bring over the wayland variant, but I could, if that's desired.  I'm not sure why there are specific x11/wayland variants, as the packages for other distros don't seem to need this split.

The librewolf package has some functions duplicated from (gnu packages gnuzilla), which probably ought to get factored out and put somewhere, but I'm not sure if they should be in (gnu packages mozilla) or a different module.  Guidance would be appreciated here.

Ian Eure (5):
  gnu: icu4c: Update to 73.1.
  gnu: Add icu4c-71.
  gnu: node: Switch to icu4c-71.
  gnu: Add wasm packages.
  gnu: Add librewolf.

 gnu/packages/icu4c.scm     |  21 +-
 gnu/packages/librewolf.scm | 560 +++++++++++++++++++++++++++++++++++++
 gnu/packages/node.scm      |   4 +-
 gnu/packages/wasm.scm      | 273 ++++++++++++++++++
 4 files changed, 854 insertions(+), 4 deletions(-)
 create mode 100644 gnu/packages/librewolf.scm
 create mode 100644 gnu/packages/wasm.scm

base-commit: 2410a30f6c06d56b5589e0ad685bcdf09bb144bf
-- 
2.41.0